package com.ruoyi.system.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OverviewMapper;
import com.ruoyi.system.domain.Overview;
import com.ruoyi.system.service.IOverviewService;

@Service
public class OverviewServiceImpl implements IOverviewService
{
    @Autowired
    private OverviewMapper overviewMapper;

    @Override
    public Overview selectOverviewById(Long overviewId)
    {
        return overviewMapper.selectOverviewById(overviewId);
    }

    @Override
    public Overview selectOverviewOne()
    {
        return overviewMapper.selectOverviewOne();
    }

    @Override
    public int insertOverview(Overview overview)
    {
        return overviewMapper.insertOverview(overview);
    }

    @Override
    public int updateOverview(Overview overview)
    {
        return overviewMapper.updateOverview(overview);
    }

    @Override
    public int deleteOverviewById(Long overviewId)
    {
        return overviewMapper.deleteOverviewById(overviewId);
    }
}
